Bug 980848 - Duplicate use of parameter -h in virt-viewer/remote-viewer manual
Duplicate use of parameter -h in virt-viewer/remote-viewer manual
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-viewer (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
:
Depends On: 980846
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 06:53 EDT by tingting zheng
Modified: 2014-06-18 00:29 EDT (History)
8 users (show)

See Also:
Fixed In Version: virt-viewer-0.5.7-1.el7.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 980846
Environment:
Last Closed: 2014-06-13 06:15:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tingting zheng 2013-07-03 06:53:17 EDT
The bug also can be reproduced on:
virt-viewer-0.5.6-1.el7.x86_64

+++ This bug was initially created as a clone of Bug #980846 +++

Description
Duplicate use of parameter -h in virt-viewer/remote-viewer manual

Version:
virt-viewer-0.5.6-1.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
# man virt-viewer
OPTIONS
       The following options are accepted when running "virt-viewer":

       -h, --help
           Display command line help summary

       -h HOTKEYS, --hotkeys HOTKEYS
           Override the default hotkey bindings with HOTKEYS. Where HOTKEYS is
           <action1>=<key1>[+<key2>][,<action2>=<key3>[+<key4>]]. Key-names are case-insensitive,
           valid actions are: toggle-fullscreen, release-cursor, smartcard-insert and smartcard-
           remove. Examples:

             --hotkeys=toggle-fullscreen=shift+f11,release-cursor=shift+f12

             --hotkeys=release-cursor=ctrl+alt

           Note that hotkeys for which no binding is given are disabled, specifying an empty string
           disables all hotkeys.


# man remote-viewer
OPTIONS
       The following options are accepted when running "remote-viewer":

       -h, --help
           Display command line help summary

       -h HOTKEYS, --hotkeys HOTKEYS
           Override the default hotkey bindings with HOTKEYS. Where HOTKEYS is
           <action1>=<key1>[+<key2>][,<action2>=<key3>[+<key4>]]. Key-names are case-insensitive,
           valid actions are: toggle-fullscreen, release-cursor, smartcard-insert and smartcard-
           remove. Examples:

             --hotkeys=toggle-fullscreen=shift+f11,release-cursor=shift+f12

             --hotkeys=release-cursor=ctrl+alt

           Note that hotkeys for which no binding is given are disabled, specifying an empty string
           disables all hotkeys.

# virt-viewer -h
Missing argument for -h
Run 'virt-viewer --help' to see a full list of available command line options


# remote-viewer -h
Missing argument for -h
Run 'remote-viewer --help' to see a full list of available command line options



Actual results:
Duplicate parameter -h in virt-viewer/remote-viewer manual

Expected results:
Only one use for parameter -h in virt-viewer/remote-viewer manual

Additional info:
Comment 1 CongDong 2013-07-03 07:13:47 EDT
The content in man page and help message are different about the help option:
It's "-?" in "--help" message, but it's "-h" in man page

# virt-viewer --help
...
Help Options:
  -?, --help                                                        Show help options
...

# remote-viewer --help
...
Help Options:
  -?, --help                                                        Show help options
...

# man virt-viewer 
...
OPTIONS
       The following options are accepted when running "virt-viewer":

       -h, --help
           Display command line help summary
...

# man remote-viewer
...
OPTIONS
       The following options are accepted when running "remote-viewer":

       -h, --help
           Display command line help summary
...
Comment 3 luxin 2013-07-30 03:36:28 EDT
I can reproduce this bug

Version:
virt-viewer-0.5.6-1.el6.x86_64

Steps to Reproduce:
1. # man virt-viewer
OPTIONS
       The following options are accepted when running "virt-viewer":

       -h, --help
           Display command line help summary

       -h HOTKEYS, --hotkeys HOTKEYS
           Override the default hotkey bindings with HOTKEYS. Where HOTKEYS is
           <action1>=<key1>[+<key2>][,<action2>=<key3>[+<key4>]]. Key-names are case-insensitive,
           valid actions are: toggle-fullscreen, release-cursor, smartcard-insert and smartcard-
           remove. Examples:

             --hotkeys=toggle-fullscreen=shift+f11,release-cursor=shift+f12

             --hotkeys=release-cursor=ctrl+alt

           Note that hotkeys for which no binding is given are disabled, specifying an empty string
           disables all hotkeys.


2. # man remote-viewer
OPTIONS
       The following options are accepted when running "remote-viewer":

       -h, --help
           Display command line help summary

       -h HOTKEYS, --hotkeys HOTKEYS
           Override the default hotkey bindings with HOTKEYS. Where HOTKEYS is
           <action1>=<key1>[+<key2>][,<action2>=<key3>[+<key4>]]. Key-names are case-insensitive,
           valid actions are: toggle-fullscreen, release-cursor, smartcard-insert and smartcard-
           remove. Examples:

             --hotkeys=toggle-fullscreen=shift+f11,release-cursor=shift+f12

             --hotkeys=release-cursor=ctrl+alt

           Note that hotkeys for which no binding is given are disabled, specifying an empty string
           disables all hotkeys.

3. # virt-viewer -h
Missing argument for -h
Run 'virt-viewer --help' to see a full list of available command line options

4. # remote-viewer -h
Missing argument for -h
Run 'remote-viewer --help' to see a full list of available command line options

5. # virt-viewer --help
Usage:
  virt-viewer [OPTION...] DOMAIN-NAME|ID|UUID - Virtual machine graphical console

Help Options:
...

6. # remote-viewer --help
Usage:
  remote-viewer [OPTION...] URI - Remote viewer client

Help Options:
...

Actual results:
Duplicate parameter -h in virt-viewer/remote-viewer manual

Expected results:
Only one use for parameter -h in virt-viewer/remote-viewer manual

Additional info:
Comment 4 Christophe Fergeau 2013-08-02 03:53:05 EDT
Should be fixed by https://git.fedorahosted.org/cgit/virt-viewer.git/commit/?id=9ca68938da40517b6a8723619104edc3799f0c15 which is in virt-viewer 0.5.7 but not 0.5.6
Comment 6 CongDong 2013-10-09 23:42:34 EDT
I can reproduce this with:
virt-viewer-0.5.6-1.el7.x86_64

Steps:
As the steps in description.

Result:
Same with the result in description.

Verify with:
virt-viewer-0.5.7-1.el7.x86_64

Steps:
1. # man virt-viewer
OPTIONS
       The following options are accepted when running
       "virt-viewer":

       -h, --help
           Display command line help summary
...
       -H HOTKEYS, --hotkeys HOTKEYS
           Override the default hotkey bindings with HOTKEYS. Where
           HOTKEYS is
           <action1>=<key1>[+<key2>][,<action2>=<key3>[+<key4>]].
           Key-names are case-insensitive, valid actions are:
           toggle-fullscreen, release-cursor, smartcard-insert and
           smartcard-remove. Examples:

             --hotkeys=toggle-fullscreen=shift+f11,release-cursor=shift+f12

             --hotkeys=release-cursor=ctrl+alt

           Note that hotkeys for which no binding is given are
           disabled, specifying an empty string disables all
           hotkeys.

# man remote-viewer
OPTIONS
       The following options are accepted when running
       "remote-viewer":

       -h, --help
           Display command line help summary

...
      -H HOTKEYS, --hotkeys HOTKEYS
           Override the default hotkey bindings with HOTKEYS. Where
           HOTKEYS is
           <action1>=<key1>[+<key2>][,<action2>=<key3>[+<key4>]].
           Key-names are case-insensitive, valid actions are:
           toggle-fullscreen, release-cursor, smartcard-insert and
           smartcard-remove. Examples:

             --hotkeys=toggle-fullscreen=shift+f11,release-cursor=shift+f12

             --hotkeys=release-cursor=ctrl+alt

           Note that hotkeys for which no binding is given are
           disabled, specifying an empty string disables all
           hotkeys.
2.
# virt-viewer -h
Usage:
  virt-viewer [OPTION...] -- DOMAIN-NAME|ID|UUID - Virtual machine graphical console

Help Options:
  -h, --help                 
...
pen in full screen mode
  -H, --hotkeys           

#remote-viewer -h
Usage:
  remote-viewer [OPTION...] -- URI - Remote viewer client

Help Options:
  -h, --help           
...
pen connection using Spice controller communication
  -H, --hotkeys                                                     Customise hotkeys
  --display=DISPLAY                                                 X display to use



As the result, set VERIFIED.
Comment 8 Ludek Smid 2014-06-13 06:15:42 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.